<template>
  <v-col cols="12">
    <v-list elevation="2" dense>
      <v-subheader class="text-uppercase">{{ title }}</v-subheader>

      <template v-for="(item, index) in list">
        <v-list-item :key="item.value" v-if="item.value !== -1">
          <v-list-item-content>
            <v-list-item-title v-text="item.text"></v-list-item-title>
          </v-list-item-content>

          <v-list-item-action @click="!parentId ? deleteFunc(item.value, index) : deleteFunc(parentId, item.value, index)">
            <v-btn icon>
              <v-icon color="grey lighten-1">mdi-delete</v-icon>
            </v-btn>
          </v-list-item-action>
        </v-list-item>
      </template>
      <v-list-item v-show="list.length === 1">
        <v-list-item-content class="justify-center">Пусто</v-list-item-content>
      </v-list-item>
    </v-list>
  </v-col>
</template>
<script>
  export default {
    name: 'DirectoryList',
    props: {
      parentId: Number,
      title: String,
      deleteFunc: {},
      list: Array,
    },
  };
</script>
